libglom-1.32 1.32.0

Public Types | Public Member Functions | Protected Attributes | List of all members
GlomBakery::View_Composite< T_Document > Class Template Reference

This View delegates to sub-views. More...

Inheritance diagram for GlomBakery::View_Composite< T_Document >:
[legend]
Collaboration diagram for GlomBakery::View_Composite< T_Document >:
[legend]

## Public Types
typedef View< T_Document > | type_view
Public Types inherited from GlomBakery::View< T_Document >
typedef View< T_Document > | type_self
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| View_Composite ()
virtual void | add_view (type_view* pView)
virtual void | remove_view (type_view* pView)
void | set_document (const std::shared_ptr< T_Document >& document) override
void | load_from_document () override
void | save_to_document () override
Public Member Functions inherited from GlomBakery::View< T_Document >
| View ()
virtual std::shared_ptr< T_Document > | get_document ()
virtual std::shared_ptr< const T_Document > | get_document () const
virtual void | set_modified (bool val=true)
| Just a convenience, instead of get_docuement()->set_modified(). More...
Public Member Functions inherited from GlomBakery::ViewBase
| ViewBase ()
virtual | ~ViewBase ()=default
virtual void | clipboard_copy ()
virtual void | clipboard_paste ()
virtual void | clipboard_clear ()
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Protected Attributes
std::vector< type_view* > | m_vecViews
Protected Attributes inherited from GlomBakery::View< T_Document >
std::shared_ptr< T_Document > | m_document

## Detailed Description

### template<class T_Document>
class GlomBakery::View_Composite< T_Document >

This View delegates to sub-views.

It is very simplistic - maybe your View should be more intelligent.

## Member Typedef Documentation

## ◆ type_view

template <class T_Document >

typedef View<T_Document> GlomBakery::View_Composite< T_Document >::type_view

## Constructor & Destructor Documentation

## ◆ View_Composite()

template <class T_Document >

GlomBakery::View_Composite< T_Document >::View_Composite | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add_view()

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::add_view | ( | type_view* | pView | ) |
| inline virtual

## ◆ load_from_document()

template <class T_Document >

void GlomBakery::View_Composite< T_Document >::load_from_document | ( |  | ) |
| inline override virtual

Reimplemented from GlomBakery::ViewBase.

## ◆ remove_view()

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::remove_view | ( | type_view* | pView | ) |
| inline virtual

## ◆ save_to_document()

template <class T_Document >

void GlomBakery::View_Composite< T_Document >::save_to_document | ( |  | ) |
| inline override virtual

Reimplemented from GlomBakery::ViewBase.

## ◆ set_document()

template <class T_Document >

void GlomBakery::View_Composite< T_Document >::set_document | ( | const std::shared_ptr< T_Document > & | document | ) |
| inline override virtual

Reimplemented from GlomBakery::View< T_Document >.

## Member Data Documentation

## ◆ m_vecViews

template <class T_Document >

std::vector<type_view*> GlomBakery::View_Composite< T_Document >::m_vecViews
| protected

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/view_composite.h